use std::thread;
use Xorfilter::*;
use fastrand;

fn main() {
    const STACK_SIZE: usize = 21009 * 21009;
    let t = thread::Builder::new()
        .stack_size(STACK_SIZE)
        .spawn(run)
        .unwrap();
    t.join().unwrap();
}

fn run() {
    const N: usize = 1000009;
    const char_size: usize = 10;
    
    let mut keys = [[char::default(); char_size]; N];
    
    for i in 0..N {
        let mut buf = [char::default(); char_size];
        for j in 0..char_size {
            buf[j] = fastrand::alphabetic();
        }
        keys[i] = buf;
    }
    
    let mut x: XorFilter<usize, { N }> = XorFilter::from(&keys);

    for i in 0..10 {
        dbg!(x.contains(keys[i]));
    }
}
