use core::hash::Hash;
use std::thread;
use Xorfilter::*;


fn main() {
    const STACK_SIZE: usize = 21009 * 21009;
    let t = thread::Builder::new()
        .stack_size(STACK_SIZE)
        .spawn(run)
        .unwrap();
    t.join().unwrap();
}

#[derive(Debug, Default, Hash, Clone, Copy)]
struct W {
    t: usize,
    u: usize,
}

fn run() {
    const N: usize = 1000009;
    let mut keys: [W; N] = [W::default(); N];

    for i in 0..N {
        keys[i] = W {
            t: i as usize,
            u: i as usize,
        };
    }

    let x: XorFilter<usize, { N }> = XorFilter::from(&(keys.clone()));

    
    for i in 0..10 {
        dbg!(x.contains(keys[i]));
    }
}
